Subject: Re: [fixed]: Cygwin RCS Build Instructions (or sometimes ash does not like a.out)
From: Jason Tishler <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: Markus Hoenicka <[email-masked]>, [email-masked]
Date: Fri, 13 Oct 2000 11:40:00 -0400

On Fri, Oct 13, 2000 at 07:42:31AM -0700, Earnie Boyd wrote:
> --- Markus Hoenicka <[email-masked]> wrote:
> > As per Michael Rings suggestions I set TEMP=/tmp in my
> > /etc/profile. This fixes both the patch problem (patched files now
> > keep their LF line endings) and it fixes the RCS make installcheck
> > problem. Cool.
> > 
> 
> Then this should also be fixed by doing
>   mount -b --change-cygdrive-prefix /cygdrive

Earnie was right on the money -- the above was exactly the difference
between Markus's and my environment that caused patch to work for me
and not for him.

> > Thanks again to Jason for fixing RCS.
> > 
> 
> I haven't had time to study this patch but I'm hoping it only entails the
> creation of the shell script.  However, I thought that the ash maintainer had
> modified ash to take care of \r\n line endings regardless of how the mount
> points were specified.

The patch that I produced (i.e., rcs-5.7-cygwin-2.patch) only modified
src/Makefile.in and src/conf.sh to get around the following ash "problem":

    $ sh -c ./a.out
    ./a.out: not found"

Unfortunately, when I viewed my posting in the archives:

    http://sources.redhat.com/ml/cygwin/2000-10/msg00545.html

I see that my attachments (rcs-5.7-cygwin-1.patch and rcs-5.7-cygwin-2.patch)
became inline text due to being encoded as text/plain instead of
application/octet.  So unless you actually received my email by being
subscribed to the list at the time, it will be hard to use my post.
FYI, rcs-5.7-cygwin-2.patch begins at the following line:

    diff -upr rcs-5.7.orig/src/Makefile.in rcs-5.7/src/Makefile.in

Sorry, for any confusion that this will/has caused.  Sigh...

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]